LibreOffice LibreOffice 5.3 SDK API Reference

Variables
com::sun::star::script::provider::ScriptFrameworkErrorType Constant Group Reference

is a checked exception that represents an error encountered by the Scripting Framework whilst executing a script More...

## Variables
const long | UNKNOWN = 0
| Unknown. More...
const long | NOTSUPPORTED = 1
| ProviderNotSupported. More...
const long | NO_SUCH_SCRIPT = 2
| the requested method, and/or with the requested signature, does not exist More...
const long | MALFORMED_URL = 3
| the requested method, with the requested signature, does not exist More...

## Detailed Description

is a checked exception that represents an error encountered by the Scripting Framework whilst executing a script

## Variable Documentation

## ◆ MALFORMED_URL

const long MALFORMED_URL = 3

the requested method, with the requested signature, does not exist

## ◆ NO_SUCH_SCRIPT

const long NO_SUCH_SCRIPT = 2

the requested method, and/or with the requested signature, does not exist

## ◆ NOTSUPPORTED

const long NOTSUPPORTED = 1

ProviderNotSupported.

## ◆ UNKNOWN

const long UNKNOWN = 0

Unknown.